initrd.img-2.6.32-29-generic breaks iwlwifi-6050

Bug #727653 reported by Walter Mebane on 2011-03-02
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Lucid
Undecided
Steve Conklin
linux-firmware (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

The update I just ran that installed initrd.img-2.6.32-29-generic broke wireless on my Lenovo X201 laptop. The apparently relevant messages from /var/log/kern.log are as follows:

Mar 2 03:47:28 cogito kernel: [ 109.669120] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-4.ucode
Mar 2 03:47:28 cogito kernel: [ 109.671271] iwlagn 0000:02:00.0: iwlwifi-6050-4.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.671281] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-3.ucode
Mar 2 03:47:28 cogito kernel: [ 109.673887] iwlagn 0000:02:00.0: iwlwifi-6050-3.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.673896] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-2.ucode
Mar 2 03:47:28 cogito kernel: [ 109.676128] iwlagn 0000:02:00.0: iwlwifi-6050-2.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.676138] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-1.ucode
Mar 2 03:47:28 cogito kernel: [ 109.677816] iwlagn 0000:02:00.0: iwlwifi-6050-1.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.677823] iwlagn 0000:02:00.0: Could not read microcode: -2
Mar 2 03:47:28 cogito kernel: [ 109.680575] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-4.ucode
Mar 2 03:47:28 cogito kernel: [ 109.682562] iwlagn 0000:02:00.0: iwlwifi-6050-4.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.682571] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-3.ucode
Mar 2 03:47:28 cogito kernel: [ 109.684881] iwlagn 0000:02:00.0: iwlwifi-6050-3.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.684890] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-2.ucode
Mar 2 03:47:28 cogito kernel: [ 109.686753] iwlagn 0000:02:00.0: iwlwifi-6050-2.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.686761] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6050-1.ucode
Mar 2 03:47:28 cogito kernel: [ 109.688848] iwlagn 0000:02:00.0: iwlwifi-6050-1.ucode firmware file req failed: -2
Mar 2 03:47:28 cogito kernel: [ 109.688856] iwlagn 0000:02:00.0: Could not read microcode: -2

I don't have this problem with initrd.img-2.6.32-28-generic, although I have to use backports to get nm-applet to work (see Bug #249404 for that). I'm using that kernel version to type this bug report.

cogito% lsb_release -rd
Description: Ubuntu 10.04.2 LTS
Release: 10.04

I obviously meant that this bug needed to be reassigned to the linux package, and failed this email update :)

From your comments, I'll also mark this regression-release and let the necessary people know.

affects: network-manager-applet (Ubuntu) → linux (Ubuntu)
Andy Whitcroft (apw) on 2011-03-02
tags: added: regression-update
Steve Conklin (sconklin) on 2011-03-02
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
Walter Mebane (wmebane) wrote :

Thanks Mathieu. After I noticed the "nm-applet" classification had been picked up from my mentioning that Bug #, I spent about 15 minutes trying to "Link a related branch," but the search widget rejected "linux" and other terms I tried as "too many branches" or something like that.

Andy Whitcroft (apw) wrote :

It seems that the driver is trying to load a version of the firmware which does not exist. A newer version does exist which it is not trying to use. I will note that the maverick firmware does seem to contain both the -4 and -5 versions but lucid does not. That said I am unsure why it suddenly needs it.

Andy Whitcroft (apw) on 2011-03-02
tags: added: kernel-key
Steve Conklin (sconklin) wrote :

Here is version 4 of the microcode. Could you please manually copy it to /lib/firmware and see whether it resolves the problem?

We're going to investigate this further on our end, but knowing whether this resolves it will be helpful.

Thanks!

Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → High
Walter Mebane (wmebane) wrote :

Yes using that microcode fixed it. Note that my /lib/firmware already contained iwlwifi-6050-5.ucode

Andy Whitcroft (apw) wrote :

Ok thanks for that testing. Could you confirm whether you normally are using linux-backports-modules-wireless for this machine. If so which version. Also could you attach the contents of your /var/log/dpkg.log and the output of the command below:

    dpkg -l | grep ' linux-'

Thanks!

It is also probabal you should be using the linux-backports-modules-wireless-2.6.35-lucid-generic version of this driver as the version in 2.6.32 was not really ready for primetime.

Changed in linux (Ubuntu):
status: In Progress → Incomplete
Walter Mebane (wmebane) wrote :
Download full text (102.2 KiB)

Yes using linux-backports-modules-wireless, specifically synaptic shows linux-backports-modules-wireless 2.6.32-28.27.

You say "you should be using the linux-backports-modules-wireless-2.6.35-lucid-generic version of this driver...." How do I do that?

cogito% cat < /var/log/dpkg.log
2011-03-01 05:21:56 startup archives unpack
2011-03-01 05:21:58 upgrade fuse-utils 2.8.1-1.1ubuntu3 2.8.1-1.1ubuntu3.1
2011-03-01 05:21:58 status half-configured fuse-utils 2.8.1-1.1ubuntu3
2011-03-01 05:21:58 status unpacked fuse-utils 2.8.1-1.1ubuntu3
2011-03-01 05:21:58 status half-installed fuse-utils 2.8.1-1.1ubuntu3
2011-03-01 05:21:59 status triggers-pending man-db 2.5.7-2ubuntu1
2011-03-01 05:21:59 status half-installed fuse-utils 2.8.1-1.1ubuntu3
2011-03-01 05:22:00 status half-installed fuse-utils 2.8.1-1.1ubuntu3
2011-03-01 05:22:00 status unpacked fuse-utils 2.8.1-1.1ubuntu3.1
2011-03-01 05:22:00 status unpacked fuse-utils 2.8.1-1.1ubuntu3.1
2011-03-01 05:22:01 upgrade libfuse2 2.8.1-1.1ubuntu3 2.8.1-1.1ubuntu3.1
2011-03-01 05:22:01 status half-configured libfuse2 2.8.1-1.1ubuntu3
2011-03-01 05:22:01 status unpacked libfuse2 2.8.1-1.1ubuntu3
2011-03-01 05:22:01 status half-installed libfuse2 2.8.1-1.1ubuntu3
2011-03-01 05:22:01 status half-installed libfuse2 2.8.1-1.1ubuntu3
2011-03-01 05:22:02 status unpacked libfuse2 2.8.1-1.1ubuntu3.1
2011-03-01 05:22:02 status unpacked libfuse2 2.8.1-1.1ubuntu3.1
2011-03-01 05:22:02 upgrade smbclient 2:3.4.7~dfsg-1ubuntu3.3 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:02 status half-configured smbclient 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:02 status unpacked smbclient 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:02 status half-installed smbclient 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:02 status half-installed smbclient 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:03 status half-installed smbclient 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:03 status unpacked smbclient 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:04 status unpacked smbclient 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:04 upgrade winbind 2:3.4.7~dfsg-1ubuntu3.3 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:04 status half-configured winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:04 status unpacked winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:04 status half-installed winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:04 status triggers-pending ureadahead 0.100.0-4.1.3
2011-03-01 05:22:04 status half-installed winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:04 status half-installed winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:05 status half-installed winbind 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:06 status unpacked winbind 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:06 status unpacked winbind 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:06 upgrade samba-common 2:3.4.7~dfsg-1ubuntu3.3 2:3.4.7~dfsg-1ubuntu3.4
2011-03-01 05:22:06 status half-configured samba-common 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:06 status unpacked samba-common 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:06 status half-installed samba-common 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:07 status half-installed samba-common 2:3.4.7~dfsg-1ubuntu3.3
2011-03-01 05:22:07 status unpacked samba-common 2:3.4...

Tim Gardner (timg-tpi) wrote :

Walter - you should be using the meta package which will keep your backports package updated, e.g.,

sudo apt-get install linux-backports-modules-wireless-2.6.35-lucid-generic

Walter Mebane (wmebane) wrote :

Thanks.

Tim Gardner (timg-tpi) wrote :

Walter - I'm assuming using the LBM meta package fixed your problem.

Changed in linux (Ubuntu Lucid):
assignee: nobody → Steve Conklin (sconklin)
status: New → Fix Released
Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → nobody
Walter Mebane (wmebane) wrote :

I removed iwlwifi-6050-4.ucode and the laptop still restarted with no connection issues. So I think the LBM package fixed the problem.

Accepted linux-firmware into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux-firmware (Ubuntu Lucid):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.34.7

---------------
linux-firmware (1.34.7) lucid-proposed; urgency=low

  * update iwlwifi-5000-5.ucode for 5000 series devices
    version: 8.83.5.1 - fix "tid mismatch" issue
    - LP: #728510

linux-firmware (1.34.6) lucid-proposed; urgency=low

  * iwlwifi: 9.201.4.1 iwlwifi-6050-4.ucode
    - LP: #727653

linux-firmware (1.34.5) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Pull firmware for ath9k-htc from Natty
    The ath9k-htc module is contained in the compat-wireless-2.6.37
    backports for Lucid and Maverick. However the firmware for that module
    is missing.
    - LP: #721393
 -- Tim Gardner <email address hidden> Thu, 03 Mar 2011 08:54:41 -0700

Changed in linux-firmware (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in linux-firmware (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers